Loading...
Searching...
No Matches
nc4var.c File Reference
`#include "config.h"`
`#include "nc4internal.h"`
`#include "nc4dispatch.h"`
`#include <math.h>`
Include dependency graph for nc4var.c:

Go to the source code of this file.

## Macros

#define | BIT_XPL_NBR_SGN_DBL (52)
| Used in quantize code.
#define | BIT_XPL_NBR_SGN_FLT (23)
| Used in quantize code.
#define | DEFAULT_1D_UNLIM_SIZE (4096)
#define | M_LN10 2.30258509299404568402
| log_e 10
#define | M_LN2 0.69314718055994530942
| log_e 2

## Functions

int | nc4_check_chunksizes (NC_GRP_INFO_T *grp, NC_VAR_INFO_T *var, const size_t *chunksizes)
int | nc4_convert_type (const void *src, void *dest, const nc_type src_type, const nc_type dest_type, const size_t len, int *range_error, const void *fill_value, int strict_nc3, int quantize_mode, int nsd)
int | nc4_find_default_chunksizes2 (NC_GRP_INFO_T *grp, NC_VAR_INFO_T *var)
int | nc4_get_default_atomic_fill_value (nc_type xtype, void *fill_value)
int | nc4_get_default_fill_value (NC_TYPE_INFO_T *tinfo, void *fill_value)
int | nc4_get_fill_value (NC_FILE_INFO_T *h5, NC_VAR_INFO_T *var, void **fillp)
int | nc4_get_typelen_mem (NC_FILE_INFO_T *h5, nc_type xtype, size_t *len)
int | NC4_get_var_chunk_cache (int ncid, int varid, size_t *sizep, size_t *nelemsp, float *preemptionp)
int | NC4_inq_var_all (int ncid, int varid, char *name, nc_type *xtypep, int *ndimsp, int *dimidsp, int *nattsp, int *shufflep, int *deflatep, int *deflate_levelp, int *fletcher32p, int *storagep, size_t *chunksizesp, int *no_fill, void *fill_valuep, int *endiannessp, unsigned int *idp, size_t *nparamsp, unsigned int *params)
int | NC4_inq_varid (int ncid, const char *name, int *varidp)
int | NC4_var_par_access (int ncid, int varid, int par_access)
int | nc_get_var_chunk_cache_ints (int ncid, int varid, int *sizep, int *nelemsp, int *preemptionp)
int | nc_inq_var_chunking_ints (int ncid, int varid, int *storagep, int *chunksizesp)

## Macro Definition Documentation

## BIT_XPL_NBR_SGN_DBL

#define BIT_XPL_NBR_SGN_DBL (52)

Used in quantize code.

Number of explicit bits in significand for doubles. Bits 0-51 of DP significands are explicit. Bit 52 is implicitly 1. Currently redundant with NC_QUANTIZE_MAX_DOUBLE_NSB and with limits.h/climit (DBL_MANT_DIG-1)

Definition at line 44 of file nc4var.c.

## BIT_XPL_NBR_SGN_FLT

#define BIT_XPL_NBR_SGN_FLT (23)

Used in quantize code.

Number of explicit bits in significand for floats. Bits 0-22 of SP significands are explicit. Bit 23 is implicitly 1. Currently redundant with NC_QUANTIZE_MAX_FLOAT_NSB and with limits.h/climit (FLT_MANT_DIG-1)

Definition at line 38 of file nc4var.c.

## DEFAULT_1D_UNLIM_SIZE

#define DEFAULT_1D_UNLIM_SIZE (4096)

Definition at line 22 of file nc4var.c.

## M_LN10

#define M_LN10 2.30258509299404568402

log_e 10

Definition at line 28 of file nc4var.c.

## M_LN2

#define M_LN2 0.69314718055994530942

log_e 2

Definition at line 31 of file nc4var.c.

## Function Documentation

## nc4_check_chunksizes()

int nc4_check_chunksizes | ( | NC_GRP_INFO_T * | grp,
|  | NC_VAR_INFO_T * | var,
|  | const size_t * | chunksizes )

Definition at line 1684 of file nc4var.c.

## nc4_convert_type()

int nc4_convert_type | ( | const void * | src,
|  | void * | dest,
|  | const nc_type | src_type,
|  | const nc_type | dest_type,
|  | const size_t | len,
|  | int * | range_error,
|  | const void * | fill_value,
|  | int | strict_nc3,
|  | int | quantize_mode,
|  | int | nsd )

Definition at line 484 of file nc4var.c.

## nc4_find_default_chunksizes2()

int nc4_find_default_chunksizes2 | ( | NC_GRP_INFO_T * | grp,
|  | NC_VAR_INFO_T * | var )

Definition at line 1718 of file nc4var.c.

## nc4_get_default_atomic_fill_value()

int nc4_get_default_atomic_fill_value | ( | nc_type | xtype,
|  | void * | fill_value )

Definition at line 1879 of file nc4var.c.

## nc4_get_default_fill_value()

int nc4_get_default_fill_value | ( | NC_TYPE_INFO_T * | tinfo,
|  | void * | fill_value )

Definition at line 1847 of file nc4var.c.

## nc4_get_fill_value()

int nc4_get_fill_value | ( | NC_FILE_INFO_T * | h5,
|  | NC_VAR_INFO_T * | var,
|  | void ** | fillp )

Definition at line 1534 of file nc4var.c.

## nc4_get_typelen_mem()

int nc4_get_typelen_mem | ( | NC_FILE_INFO_T * | h5,
|  | nc_type | xtype,
|  | size_t * | len )

Definition at line 1616 of file nc4var.c.

## NC4_get_var_chunk_cache()

int NC4_get_var_chunk_cache | ( | int | ncid,
|  | int | varid,
|  | size_t * | sizep,
|  | size_t * | nelemsp,
|  | float * | preemptionp )

Definition at line 72 of file nc4var.c.

## NC4_inq_var_all()

int NC4_inq_var_all | ( | int | ncid,
|  | int | varid,
|  | char * | name,
|  | nc_type * | xtypep,
|  | int * | ndimsp,
|  | int * | dimidsp,
|  | int * | nattsp,
|  | int * | shufflep,
|  | int * | deflatep,
|  | int * | deflate_levelp,
|  | int * | fletcher32p,
|  | int * | storagep,
|  | size_t * | chunksizesp,
|  | int * | no_fill,
|  | void * | fill_valuep,
|  | int * | endiannessp,
|  | unsigned int * | idp,
|  | size_t * | nparamsp,
|  | unsigned int * | params )

Definition at line 179 of file nc4var.c.

## NC4_inq_varid()

int NC4_inq_varid | ( | int | ncid,
|  | const char * | name,
|  | int * | varidp )

Definition at line 351 of file nc4var.c.

## NC4_var_par_access()

int NC4_var_par_access | ( | int | ncid,
|  | int | varid,
|  | int | par_access )

Definition at line 403 of file nc4var.c.

## nc_get_var_chunk_cache_ints()

int nc_get_var_chunk_cache_ints | ( | int | ncid,
|  | int | varid,
|  | int * | sizep,
|  | int * | nelemsp,
|  | int * | preemptionp )

Definition at line 120 of file nc4var.c.

## nc_inq_var_chunking_ints()

int nc_inq_var_chunking_ints | ( | int | ncid,
|  | int | varid,
|  | int * | storagep,
|  | int * | chunksizesp )

Definition at line 301 of file nc4var.c.